seasonal.dummies {uroot} | R Documentation

## Seasonal Dummies and Seasonal Cycles

### Description

Generate variables of seasonal dummies and seasonal cycles.

### Usage

    seasonal.dummies(x)
    seasonal.cycles(x)

### Arguments

`x` | a univariate seasonal time series.

### Value

A multivariate time series containing the dummies or cycles by columns.

### Examples

    # In terms of model fitting
    # both sets of variables are equivalent
    x <- diff(log(AirPassengers))
    sd <- seasonal.dummies(x)
    fit1 <- lm(x ~ sd[,-1])
    summary(fit1)
    sc <- seasonal.cycles(x)
    fit2 <- lm(x ~ sc)
    summary(fit1)
    all.equal(fitted(fit1), fitted(fit2))

[Package uroot version 2.0-9.1 Index]